require( "scripts/style.lua");

TimeTextFont = {
  minionproFont,
  38,
  BlackColor
};

CurrentTimeTextFont = {
  minionproFont,
  38,
  Color(119, 20, 15),
};

TeamWorkTitleTextFont = {
  oldsansblackFont,
  18,
  TeamWorkListColor
};

TeamWorkParentsTextFont = {
  oldsansblackFont,
  14,
  TeamWorkListColor
};

TeamWorkTasksTextFont = {
  oldsansblackFont,
  14,
  BlackColor
};

function BlockDadSelect(block)

	EnableWindow("bb_dad1", block);
	EnableWindow("bb_dad2", block);

end

function BlockMomSelect(block)

	EnableWindow("bb_mom1", block);
	EnableWindow("bb_mom2", block);

end

kTaskListX = 20;
kTaskStrokeListX = 15;

-- Our game set up
MakeDialog
{
	-- Name the modal dialog
	name="GameScreen",
	GameScreen
	{
		align=kHAlignLeft + kVAlignTop,
		x = 0;
		y = 0;
		name = "gamescreen",
		teamworktimebonus = 10,
		fit=true;
		--[[
		IngameButton
		{
			name="tophudscrollblocker",
			fit=true;
			x=857,
			y=0,--]]
			Bitmap
			{
	align=kHAlignLeft + kVAlignTop,
				name="tophud",
				image="gui/gamescreen/up_hup",
				x=857,
				y=0,
				fit=true;
				SetStyle( MenuButtonStyle ),
				IngameButton
				{
					name = "gamescreenmenu",
					x=31,
					y=12,
					graphics = SmallButton2Graphics,
					MenuButtonLabel(0, 0, 111, 26, "menu", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255));
					command=
						function()
							PauseGame();
							DisplayDialog{"scripts/ingamemenu.lua", action=ResumeGame};
						end
				},
			},
		--},
		Bitmap
		{
			name="downhud",
			image="gui/gamescreen/down_hud",
			x=0,
			y=577,
			IngameButton
			{
				name = "dad_button",
				x = 114,
				y = 89,
				w = 82,
				h = 97,
				command=
					function()
						SelectParent("dad");
					end
			},
			IngameButton
			{
				name = "mom_button",
				x = 473,
				y = 89,
				w = 82,
				h = 97,
				command=
					function()
						SelectParent("mom");
					end
			},
			Bitmap
			{
align=kHAlignLeft + kVAlignTop,
				name = "highlight_dad",
				image = "gui/gamescreen/hi_light",
				x = 114,
				y = 89,
				scale = 1.00
			},
			Bitmap
			{
				name = "highlight_mom",
				image = "gui/gamescreen/hi_light",
				x = 474,
				y = 91,
				scale = 1.00
			},
			Bitmap
			{
				name = "meters",
				image = "gui/gamescreen/discipline_back_dad",
				x = 117,
				y = 103,
				scale = 1.00
			},
			Bitmap
			{
				name = "meters",
				image = "gui/gamescreen/discipline_back_mom",
				x = 477,
				y = 104,
				scale = 1.00
			},
			Bitmap
			{
				name = "meters",
				image = "gui/gamescreen/discipline_back_kids",
				x = 829,
				y = 103,
				scale = 1.00
			},
			BeginGroup(),
			Button
			{
				name = "thumbsup",
				x=124,
				y=17,
				graphics = {
					"buttons/right_normal",
					"buttons/right_down",
					"buttons/right_mouse_on",
					"buttons/right_down"
				},
				type = kRadio,
				sound = "audio/sfx/mouse_click2",
				command=
					function()
						Toggle(0);
					end
			},
			Button
			{
				name = "thumbsdown",
				x=207,
				y=17,
				graphics = {
					"buttons/wrong_normal",
					"buttons/wrong_down",
					"buttons/wrong_mouse_on",
					"buttons/wrong_down"
				},
				sound = "audio/sfx/mouse_click2",
				type = kRadio,
				command=
					function()
						Toggle(1);
					end
			},
			Button
			{
				name = "action_dad",
				x=738,
				y=17,
				graphics = {
					"buttons/action_normal",
					"buttons/action_down",
					"buttons/action_mouse_on",
					"buttons/action_down",
				},
				sound = "audio/sfx/mouse_click2",
				type = kRadio,
				command=
					function()
						Toggle(2);
					end
			},
			Button
			{
				name = "action_mom",
				x=821,
				y=17,
				graphics = {
					"buttons/mom_action_normal",
					"buttons/mom_action_down",
					"buttons/mom_action_mouse_on",
					"buttons/mom_action_down",
				},
				type = kRadio,
				sound = "audio/sfx/mouse_click2",
				command=
					function()
						Toggle(3);
					end
			},
			--Bitmap
			--{
			--	name = "dsdsf",
			--	image = "tutorial/anim_bar_00056",
			--	x = 455,
			--	y = 49,
			--	scale = 1.00
			--},
			Bitmap
			{
				name = "day_image",
				image = "gui/gamescreen/sun",
				x = 317,
				y = 49,
				scale = 1.00
			},
			Bitmap
			{
				name = "night_image",
				image = "gui/gamescreen/moon",
				x = 317,
				y = 49,
				scale = 1.00
			},
			Button
			{
				align=kHAlignLeft + kVAlignTop,
				name = "bb_praise",
				x = 124,
				y = 8,
				w=80,
				h=80,
				command =
				function()
					-- button code goes here;
				end
			},
			Button
			{
				align=kHAlignLeft + kVAlignTop,
				name = "bb_correct",
				x = 117+89,
				y = 7,
				w=83,
				h=80,
				command =
				function()
					-- button code goes here;
				end
			},
			Button
			{
				name = "bb_dad1",
				x = 105,
				y = 88,
				w=100,
				h=105,
				command =
				function()
					-- button code goes here;
				end
			},
			Button
			{
				align=kHAlignLeft + kVAlignTop,
				name = "bb_dad2",
				x = 736,
				y = 9,
				w=80,
				h=80,
				command =
				function()
					-- button code goes here;
				end
			},
			Button
			{
				align=kHAlignLeft + kVAlignTop,
				name = "bb_mom2",
				x = 818,
				y = 8,
				w=80,
				h=80,
				command =
				function()
					-- button code goes here;
				end
			},
			Button
			{
				align=kHAlignLeft + kVAlignTop,
				name = "bb_mom1",
				x = 464,
				y = 89,
				w=100,
				h=105,
				command =
				function()
					-- button code goes here;
				end
			}
		},
		Text
		{
		  	name="day",
		  	font = {
				oldsansblackFont,
				24,
				Color(116, 169, 174),
			};
		  	x=200,
		  	y=675,
		  	w=150,
		  	h=36,
			label = "#"..TextOutlined("8d2b28","2",GetString("dadgoals")),
			flags = kHAlignCenter+kVAlignCenter,
		},
		Text
		{
		  	name="dayewew",
		  	font = {
				oldsansblackFont,
				24,
				Color(195, 122, 164),
			};
		  	x=568,
		  	y=675,
		  	w=150,
		  	h=36,
			label = "#"..TextOutlined("8d2b28","2",GetString("momgoals")),
			flags = kHAlignCenter+kVAlignCenter,
		},
		--[[
		Text
		{
		  	name="day",
		  	font = {
				oldsansblackFont,
				22,
				Color(229, 187, 77),
			};
		  	x=699,
		  	y=593,
		  	w=200,
		  	h=36,
			label = "#"..TextOutlined("892322","2",GetString("happinessmeter")),
			flags = kHAlignCenter+kVAlignCenter,
		},
		--]]
		
		Text
		{
		  	name="timettext",
		  	font = {
				minionproFont,
				23,
				Color(229, 187, 77),
			};
		  	x=935,
		  	y=608,
		  	w=57,
		  	h=57,
			label = "time2",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
		  	name="currenttime",
		  	font = CurrentTimeTextFont,
		  	x=909,
		  	y=654,
		  	w=112,
		  	h=37,
		  	flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
		  	name="perfecttimetext",
		  	font = {
				minionproFont,
				17,
				Color(229, 187, 77),
			};
		  	x=913,
		  	y=681,
		  	w=103,
		  	h=57,
			label = "perfecttime2",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
		  	name="perfecttime",
		  	font = TimeTextFont,
		  	x=909,
		  	y=728,
		  	w=112,
		  	h=37,
		  	flags = kHAlignCenter + kVAlignCenter,
		},
		SetStyle(DialogBodyText),
		Text
		{
			name = "daynumber",
			label = "#1",
			x = 80,
			y = 746,
			w = 24,
			h = 60,
			font = {
				oldsansblackFont,
				20,
				Color(229, 187, 77),
			};
			flags = kHAlignLeft+kVAlignTop,
		},
		SetStyle(DialogBodyText),
		Text
		{
		  	font = {
				oldsansblackFont,
				20,
				Color(99, 93, 72),
			};
			name = "week_day_text",
			label = "monday",
			x = 360,
			y = 635,
			w = 90,
			h = 23,
			flags = kHAlignCenter+kVAlignCenter,
		},
			Bitmap
			{
				name = "cheat_console_back",
				image = "backgrounds/cheatconback",
					x = 300,
					y = 575,
					w = 420,
					h = 50,
				scale = 1.00,
				TextEdit
				{
					name = "cheat_console",
					label = "12345678901234567890123456789012345678901234567890",
					x = 0,
					y = 0,
					w = 420,
					h = 50,
					length = 50,
					font = NameFont,
					clearinitial = deleteselected,
					flags = kHAlignCenter+kVAlignCenter,
				}
			},		
		
	}
};
--EnableWindow("gamescreenmenu", false);
EnableWindow("thumbsup", false);
EnableWindow("thumbsdown", false);
EnableWindow("bb_praise", false);
EnableWindow("bb_correct", false);
EnableWindow("GameScreen", false);
EnableWindow("cheat_console_back", false);
BlockMomSelect(false);
BlockDadSelect(false);
--EnableWindow("action_mom", false);
--EnableWindow("action_dad", false);
